<button type="button" class="btn btn-info" data-toggle="collapse" data-target="#editheader">Show/hide edit/insert forms</button>
<div id="editheader" class="row">
    <div id="edit" class="col-6 card card-body" >
        <form action="/node/update" method="POST" >
            <div class="col-5 offset-1" >
                <div class="form-group row">
                  <div  class="col-sm-2">
                    <label class="form-check-label" for="node_id">Id</label>
                  </div>
                    
                    <div class="col-sm-10">
                        <input type="text" class="form-control" id="node_id" name="node_id" value="" readonly>
                    </div>
                </div>
                <div class="form-group row">
                  <div  class="col-sm-2">
                    <label class="form-check-label" for="node_name">Name</label>
                  </div>
                    <div class="col-sm-10">
                        <input type="text" class="form-control" id="node_name" name="node_name" value="">
                    </div>
                </div>
                <div class="form-group row">
                  <div  class="col-sm-2">
                    <label class="form-check-label" for="node_type1">Type</label>
                  </div>
                  
                    <div class="col-sm-10">
                        <%  locals.combodata = {id: "node_type1", list:node_types, name:"id_node_type", selected: node_types[0].value}; %>
                        <%- include(`${locals.partialsRoot}/combo`) %>
                    </div>
                </div>
            </div>
            <div class="col-4 " >
                <div class="row">
                    <div class="col-12">
                        <button type="submit" class="btn btn-danger text-nowrap" name="btn" value="delete">Delete (children are reassigned to parent)</button>
                    </div>
                </div>
                <div class="row">
                    <div class="col-12">
                        <button type="submit" class="btn btn-success text-nowrap" name="btn" value="update">Update</button>
                    </div>
                </div>
                <div class="row">
                    <div class="col-7" >
                        <button type="submit" class="btn btn-success text-nowrap" name="btn" value="reassign">Reassing parent id:</button>
                    </div>
                    <div class="col-5 " >
                        <input type="text" class="form-control" id="parent_id" name="parent_id" value="">
                    </div>
                </div>
            </div>
        </form>
    </div>
    <div id="insert" class="col-6 card card-body" >
        <form action="/node/insert" method="POST">
            <div class="col-7 offset-1" >
                              <div class="form-group row">
                                <div  class="col-sm-2">
                                  <label class="form-check-label" for="node_name">Name</label>
                                </div>
                    <div class="col-sm-10">
                        <input type="text" class="form-control" id="node_name" name="node_name" value="">
                    </div>
                </div>
                <div class="form-group row">
                  <div  class="col-sm-2">
                    <label class="form-check-label" for="node_desc">Descr(opt)</label>
                  </div>
                    <div class="col-sm-10">
                        <input type="text" class="form-control" id="node_desc" name="description" value="">
                    </div>
                </div>
                <div class="form-group row">
                  <div  class="col-sm-2">
                    <label class="form-check-label" for="node_type2">Type</label>
                  </div>
                  
                    <div class="col-sm-10">
                        <%  locals.combodata = {id: "node_type2", list:node_types, name:"id_node_type", selected: node_types[0].value}; %>
                        <%- include(`${locals.partialsRoot}/combo`) %>
                    </div>
                </div>
            </div>
            <div class="col-4" >
                <div class="form-group row">
                  <div  class="col-sm-4">
                    <label class="form-check-label" for="parent_id">Parent ID</label>
                  </div>
                    <div class="col-sm-8">
                        <input type="text" class="form-control" id="parent_id" name="parent_id" value="" readonly>
                    </div>
                </div>
                <div class="form-group row">
                    <div class="col-sm-6 col-sm-offset-3">
                        <button type="submit" class="btn btn-success text-nowrap">Insert new node</button>
                    </div>
                </div>

            </div>
        </form>
    </div>
</div>
<span>(double click to drill up/down)</span>
<div class="row">
    <div id="qvis1" class="col-9" style="height: 900px; border: 1px solid lightgray;"></div>
    <div id="q1" class="col-3" style="border: 1px solid lightgray;"></div>
</div>


<script src="https://cdnjs.cloudflare.com/ajax/libs/vis/4.21.0/vis-network.min.js" 
    integrity="sha512-GE9mKnPrTn2DY5AZuIC9yE6K4FF8T+9lsO7jwHn+RW9rEjnHzF/in0oGwlPzRwjhQ+oJiawmtfvleX+l6h5/cA==" crossorigin="anonymous"></script>

